#!/bin/bash
CERTFILE=$1
CHAINFILE=$2
OCSP_RESPONSE=/data/certs/good_ocsp_resp.der
filesPresent=0

function check() {
  local certOk=0
  local chainOk=0

  if [ -f "$CERTFILE" ]; then
    certOk=1
  fi

  if [ -f "$CHAINFILE" ]; then
    chainOk=1
  fi;

  filesPresent=$(( $certOk && $chainOk ))
}

check


if [[ $filesPresent == 1 ]]; then
  openssl x509 -noout -ocsp_uri -in $CERTFILE > ocsp_endpoint.txt
  ocsp_responder_url=$(<ocsp_endpoint.txt)
  rm ocsp_endpoint.txt
  if [ ! -z "$ocsp_responder_url" ]; then
    openssl ocsp -issuer $CHAINFILE -cert $CERTFILE -verify_other $CHAINFILE  -nonce -url $ocsp_responder_url -respout $OCSP_RESPONSE
  fi

else
  echo "Certificate or Chain File does not exist"
  echo "Syntax: ocsp_response.sh <certificate_pem_file> <chain_pem_file>"
fi
